OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Typedefs | Variables
group_type.h File Reference

Types of a group. More...

Go to the source code of this file.

## Typedefs
typedef uint16 | GroupID
| Type for all group identifiers.

## Variables
static const GroupID | NEW_GROUP = 0xFFFC
| Sentinel for a to-be-created group.
static const GroupID | ALL_GROUP = 0xFFFD
| All vehicles are in this group.
static const GroupID | DEFAULT_GROUP = 0xFFFE
| Ungrouped vehicles are in this group.
static const GroupID | INVALID_GROUP = 0xFFFF
| Sentinel for invalid groups.
static const uint | MAX_LENGTH_GROUP_NAME_CHARS = 32
| The maximum length of a group name in characters including '\0'.

## Detailed Description

Types of a group.

Definition in file group_type.h.